
From: Sylvain Meyer <sylvain.meyer@worldonline.fr>

Changed the tests in intelfb_set_par to check also the parameter
var.accel_flags.  If null, do nothing about ring buffers.

Now, the DirectFB i830 driver could nicely work even if intelfb is hw
accelerated.  Just change the /etc/fb.modes file to disable console hw
acceleration when starting a DirectFB app.

Signed-off-by: Sylvain Meyer <sylvain.meyer@worldonline.fr>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 drivers/video/intelfb/intelfbdrv.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

diff -puN drivers/video/intelfb/intelfbdrv.c~intelfb-fix-accel-detection-when-changing-video-modes drivers/video/intelfb/intelfbdrv.c
--- 25/drivers/video/intelfb/intelfbdrv.c~intelfb-fix-accel-detection-when-changing-video-modes	2005-05-31 17:21:12.000000000 -0700
+++ 25-akpm/drivers/video/intelfb/intelfbdrv.c	2005-05-31 17:21:12.000000000 -0700
@@ -1301,7 +1301,7 @@ intelfb_set_par(struct fb_info *info)
 
 	intelfb_blank(FB_BLANK_POWERDOWN, info);
 
-	if (dinfo->accel)
+	if (ACCEL(dinfo, info))
 		intelfbhw_2d_stop(dinfo);
 
  	memcpy(hw, &dinfo->save_state, sizeof(*hw));
@@ -1317,7 +1317,7 @@ intelfb_set_par(struct fb_info *info)
 
 	update_dinfo(dinfo, &info->var);
 
-	if (dinfo->accel)
+	if (ACCEL(dinfo, info))
 		intelfbhw_2d_start(dinfo);
 
 	intelfb_pan_display(&info->var, info);
_
